Name:           python-smart-open
Version:        7.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Utils for streaming large files (S3, HDFS, GCS, SFTP, Azure Blob Storage, gzip, bz2, zst...)

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/piskvorky/smart_open
Source:         %{pypi_source smart_open}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'smart-open' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-smart-open
Summary:        %{summary}

%description -n python3-smart-open %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-smart-open all,azure,gcs,http,s3,ssh,test,webhdfs,zst


%prep
%autosetup -p1 -n smart_open-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,azure,gcs,http,s3,ssh,test,webhdfs,zst


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-smart-open -f %{pyproject_files}


%changelog
%autochangelog